Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.traversal
Class TraversalSupport

    java.lang.Object
      org.apache.batik.dom.traversal.TraversalSupport

    public class TraversalSupport

extends Object

This class provides support for traversal.

Field Summary
`protected List` | `iterators` The iterators list.

Constructor Summary
`TraversalSupport()` Creates a new TraversalSupport.

Method Summary
`NodeIterator` | `createNodeIterator(AbstractDocument doc, Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion)` Creates a new node iterator.
`static TreeWalker` | `createTreeWalker(AbstractDocument doc, Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion)` Creates a new tree walker.
`void` | `detachNodeIterator(NodeIterator it)` Detaches the given node iterator.
`void` | `nodeToBeRemoved(Node removedNode)` Called by the DOM when a node will be removed from the current document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterators

    protected List iterators

  The iterators list.

Constructor Detail

### TraversalSupport

    public TraversalSupport()

  Creates a new TraversalSupport.

Method Detail

### createTreeWalker

    public static TreeWalker createTreeWalker(AbstractDocument doc,
                                              Node root,
                                              int whatToShow,
                                              NodeFilter filter,
                                              boolean entityReferenceExpansion)

  Creates a new tree walker.

### createNodeIterator

    public NodeIterator createNodeIterator(AbstractDocument doc,
                                           Node root,
                                           int whatToShow,
                                           NodeFilter filter,
                                           boolean entityReferenceExpansion)
                                    throws DOMException

  Creates a new node iterator.

  Throws:
    `DOMException`

### nodeToBeRemoved

    public void nodeToBeRemoved(Node removedNode)

  Called by the DOM when a node will be removed from the current document.

### detachNodeIterator

    public void detachNodeIterator(NodeIterator it)

  Detaches the given node iterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.